=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'spec_helper'
require 'json'

# Unit tests for WeFitter::TeamApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'TeamApi' do
  before do
    # run before each test
    @instance = WeFitter::TeamApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TeamApi' do
    it 'should create an instance of TeamApi' do
      expect(@instance).to be_instance_of(WeFitter::TeamApi)
    end
  end

  # unit tests for team_create
  # Create Team
  # Creates a new team
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [TeamDetail]
  describe 'team_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for team_delete
  # Deletes a Team
  # Deletes an existing team
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'team_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for team_list
  # List Teams
  # List all available teams
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @return [InlineResponse2005]
  describe 'team_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for team_member_create
  # Add member
  # Add member to a team
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfileAsProfilePublicId]
  describe 'team_member_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for team_member_delete
  # Remove member
  # Remove a member from the team
  # @param public_id 
  # @param profile A profile public_id is expected
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'team_member_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for team_member_update
  # Add member
  # Add member to a team
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfileAsProfilePublicId]
  describe 'team_member_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for team_members_create
  # Add members
  # Add members to a team
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfilePublicIdsList]
  describe 'team_members_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for team_members_update
  # Add members
  # Add members to a team
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfilePublicIdsList]
  describe 'team_members_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for team_partial_update
  # Partial Edit a Team
  # Creates a new team
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [TeamDetail]
  describe 'team_partial_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for team_read
  # Team
  # Get a single team
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @return [TeamDetail]
  describe 'team_read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for team_remove_members
  # Remove members
  # Remove members from the team
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfilePublicIdsList]
  describe 'team_remove_members test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for team_update
  # Edit Team
  # Creates a new team
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [TeamDetail]
  describe 'team_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
